Difference between revisions of "TechDraw Symbol/it"

From FreeCAD Documentation
Jump to: navigation, search
(Created page with "==Proprietà== * n/a")
(Created page with "{{Userdocnavi/it}}")
(19 intermediate revisions by 2 users not shown)
Line 1: Line 1:
{{GuiCommand/it|Name=TechDraw  Symbol|Name/it=Simbolo|Workbenches=[[TechDraw Module/it|TechDraw]]|MenuLocation=TechDraw → Simbolo|Shortcut=|SeeAlso=}}
+
<languages/>
 +
{{Docnav/it|[[TechDraw_GeomHatch/it|Applica un tratteggio geometrico ad una faccia]]|[[TechDraw_Image/it|Immagine bitmap]]|[[TechDraw_Module/it|TechDraw]]|IconL=techdraw-geomhatch.png|IconC=Workbench_TechDraw.svg|IconR=Techdraw-image.png}}
 +
 
 +
{{GuiCommand/it|Name=TechDraw  Symbol|Name/it=Simbolo SVG|Workbenches=[[TechDraw Module/it|TechDraw]]|MenuLocation=TechDraw → Simbolo SVG|Shortcut=|SeeAlso=[[TechDraw Templates/it|Modelli]], [[Draft SVG/it|SVG]]}}
  
 
==Descrizione==
 
==Descrizione==
Lo strumento Simbolo inserisce come vista un file in formato SVG nella pagina
+
 
 +
Lo strumento Simbolo inserisce un file [[SVG/it|SVG]] nella pagina. Questo simbolo può essere qualsiasi cosa che aiuti ad annotare il disegno, e che non ha bisogno di essere ulteriormente modificato.
 +
 
 +
[[Image:TechDraw_SymbolSVG_sample.png]]
 +
{{Caption|Rosa dei venti aggiunta alla pagina di disegno; questo simbolo è disponibile installando la macro SymbolsLibrary con Addon Manager}}
  
 
==Uso==
 
==Uso==
# Premere il pulsante {{KEY|[[Image:Symbol.png|24px]] [[TechDraw Symbol/it|Simbolo]]}}
 
# Si apre una finestra di dialogo. Selezionare un percorso e il nome file.
 
  
==Opzioni==
+
# Premere il pulsante {{Button|[[Image:Techdraw-symbol.svg|16px]] [[TechDraw Symbol/it|Simbolo SVG]]}}
Nessuna.
+
# Si apre una finestra di dialogo. Selezionare un percorso e il nome file.
  
==Proprietà==
+
* Il simbolo può apparire più grande del previsto. Utilizzare la proprietà Scala per regolare le dimensioni.
* n/a
+
 
 +
== Script ==
 +
 
 +
{{Emphasis|Vedere anche:}} [[TechDraw API/it|API TechDraw]] e [[FreeCAD Scripting Basics/it|Nozioni di base sugli script di FreeCAD]].
 +
 
 +
Lo strumento Simbolo SVG può essere utilizzato nelle [[macros/it|macro]] e dalla console [[Python/it|Python]] utilizzando la seguente funzione:
  
==Scripting==
 
SVG files can be inserted into a drawing page using Python.
 
 
{{Code|code=
 
{{Code|code=
 
sym = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewSymbol','TestSymbol')
 
sym = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewSymbol','TestSymbol')
Line 27: Line 35:
  
  
==Notes==
+
 
* Symbol appear larger than expected. Use the Scale property to adjust the size.
+
{{Docnav/it|[[TechDraw_GeomHatch/it|Applica un tratteggio geometrico ad una faccia]]|[[TechDraw_Image/it|Immagine bitmap]]|[[TechDraw_Module/it|TechDraw]]|IconL=techdraw-geomhatch.png|IconC=Workbench_TechDraw.svg|IconR=Techdraw-image.png}}
 +
 
 +
{{TechDraw Tools navi/it}}
 +
 
 +
{{Userdocnavi/it}}
 
{{clear}}
 
{{clear}}
<languages/>
 

Revision as of 19:23, 23 April 2019

Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский

TechDraw Symbol.png Simbolo SVG

Posizione nel menu
TechDraw → Simbolo SVG
Ambiente
TechDraw
Avvio veloce
Introdotto nella versione
-
Vedere anche
Modelli, SVG


Descrizione

Lo strumento Simbolo inserisce un file SVG nella pagina. Questo simbolo può essere qualsiasi cosa che aiuti ad annotare il disegno, e che non ha bisogno di essere ulteriormente modificato.

TechDraw SymbolSVG sample.png

Rosa dei venti aggiunta alla pagina di disegno; questo simbolo è disponibile installando la macro SymbolsLibrary con Addon Manager


Uso

  1. Premere il pulsante Techdraw-symbol.svg Simbolo SVG
  2. Si apre una finestra di dialogo. Selezionare un percorso e il nome file.
  • Il simbolo può apparire più grande del previsto. Utilizzare la proprietà Scala per regolare le dimensioni.

Script

Vedere anche: API TechDraw e Nozioni di base sugli script di FreeCAD.

Lo strumento Simbolo SVG può essere utilizzato nelle macro e dalla console Python utilizzando la seguente funzione:

sym = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewSymbol','TestSymbol')
rc = page.addView(anno)
f = open(unicode(symbolFileSpec,'utf-8'),'r')
svg = f.read()
f.close()
sym.Symbol = svg
rc = page.addView(sym)